## org.eclipse.m2m.qvt.oml
Interface ModelExtent

All Known Implementing Classes:
  BasicModelExtent

    public interface ModelExtent

The interface represents a simplified abstraction of a model contents, passed to a transformation in a model parameter.

Since:
  2.0

Method Summary
`java.util.List<org.eclipse.emf.ecore.EObject>` `getContents()` The read-only view of this model extent's contents.
`void` `setContents(java.util.List<? extends org.eclipse.emf.ecore.EObject> contents)` Sets the contents of this model extent.

Method Detail

### getContents

    java.util.List<org.eclipse.emf.ecore.EObject> getContents()

  The read-only view of this model extent's contents.

  Returns:
    list of elements contained in this extent

### setContents

    void setContents(java.util.List<? extends org.eclipse.emf.ecore.EObject> contents)

  Sets the contents of this model extent.

  Parameters:
    `contents` - list of elements to become the contents of this extent
  Throws:
    `java.lang.UnsupportedOperationException` - if this model extent does not allow modifications

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.